Initialize the Privilege Monitoring Engine

Base URL
https://{kibana_url}
  • POST /api/entity_analytics/monitoring/engine/init
  • POST /s/{space_id}/api/entity_analytics/monitoring/engine/init
Auth Deprecated

Deprecated in 9.4.0. Initializes the Privilege Monitoring Engine, setting up the required resources and starting the engine.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Responses

Successful response

application/json
error object
message string

Error message typically only present if the engine is in error state

status enum required

The status of the Privilege Monitoring Engine

Values: started error disabled not_installed

Internal Server Error

application/json
error object
message string

Error message typically only present if the engine is in error state

status enum required

The status of the Privilege Monitoring Engine

Values: started error disabled not_installed
Base URL
https://{kibana_url}